public static interface RestEndpointBuilderFactory.RestBuilders
| Modifier and Type | Method and Description |
|---|---|
default RestEndpointBuilderFactory.RestEndpointBuilder |
restEndpoint(String path)
REST (camel-rest)
Expose REST services or call external REST services.
|
default RestEndpointBuilderFactory.RestEndpointBuilder |
restEndpoint(String componentName,
String path)
REST (camel-rest)
Expose REST services or call external REST services.
|
default RestEndpointBuilderFactory.RestEndpointBuilder restEndpoint(String path)
rest:method:path:uriTemplate
Path parameter: method (required)
HTTP method to use.
There are 9 enums and the value can be one of: get, post, put,
delete, patch, head, trace, connect, options
Path parameter: path (required)
The base path
Path parameter: uriTemplate
The uri templatepath - method:path:uriTemplatedefault RestEndpointBuilderFactory.RestEndpointBuilder restEndpoint(String componentName, String path)
rest:method:path:uriTemplate
Path parameter: method (required)
HTTP method to use.
There are 9 enums and the value can be one of: get, post, put,
delete, patch, head, trace, connect, options
Path parameter: path (required)
The base path
Path parameter: uriTemplate
The uri templatecomponentName - to use a custom component name for the endpoint
instead of the default namepath - method:path:uriTemplateApache Camel